% Read the image
img = imread('testim.jpeg');

% Convert the image to grayscale
grayImg = rgb2gray(img);

% Set a threshold value (adjust as needed)
threshold = 160;

% Create a binary mask based on the threshold
binaryMask = grayImg > threshold;

% Use the mask to extract the foreground
foreground = img;
foreground(repmat(~binaryMask, [1, 1, size(img, 3)])) = 0;

% Display the original and segmented images
subplot(1, 2, 1), imshow(img), title('Original Image');
subplot(1, 2, 2), imshow(foreground), title('Segmented Image');
