% Read an image
originalImage = imread('testim.jpeg');
% Convert the image to grayscale
grayImage = rgb2gray(originalImage);
% Apply a Gaussian filter for smoothing
smoothedImage = imgaussfilt(grayImage, 2);
% Perform edge detection using the Canny method
edgeImage = edge(smoothedImage, 'Canny');
% Display the original, smoothed, and edge-detected images
subplot(1, 3, 1), imshow(originalImage), title('Original Image');
subplot(1, 3, 2), imshow(smoothedImage), 
title('Smoothed Image');
subplot(1, 3, 3), imshow(edgeImage), title('Edge Detection');
% Optional: Save the processed image
imwrite(edgeImage, 'edge_detected_image.jpg');