% Read the original image
originalImage = imread('testim.jpeg'); % Replace 'your_image_path.jpg' with the actual path to your image
% Calculate cropping coordinates for half of the image
halfWidth = size(originalImage, 2) / 2; % Half of the width
halfHeight = size(originalImage, 1) / 2; % Half of the height
cropStartX = round((size(originalImage, 2) - halfWidth) / 2);
cropEndX = round((size(originalImage, 2) + halfWidth) / 2);
cropStartY = round((size(originalImage, 1) - halfHeight) / 2);
cropEndY = round((size(originalImage, 1) + halfHeight) / 2);
% Crop the original image with the same resolution
croppedImage = originalImage(cropStartY:cropEndY, cropStartX:cropEndX);
% Display the resolution of the original and cropped images
fprintf('Original Image Resolution: %d x %d\n', size(originalImage, 2), size(originalImage, 1));
fprintf('Cropped Image Resolution: %d x %d\n', size(croppedImage, 2), size(croppedImage, 1));
% Display the original and cropped images
subplot(1, 2, 1);
imshow(originalImage);
title('Original Image');
subplot(1, 2, 2);
imshow(croppedImage);
title('Cropped Image');