clc
clear all;
close all;
%Parameters
r = 0.1; % Growth rate
K = 1000; % Carrying capacity
tspan = 1:100; % Time span
% Initial population
P0 = 10;
% Logistic growth equation
ode = @(t, P) r * P * (1 - P / K);
% Solve the differential equation
[t, P] = ode45(ode, tspan, P0);
% Plotting the results
plot(t, P, '-o');
title('Population Growth');
xlabel('Time');
ylabel('Population');
grid on;